Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Class XMLSubStreamBase

    java.lang.Object
      weblogic.xml.stream.util.XMLInputStreamFilterBase
          weblogic.xml.stream.util.XMLSubStreamBase

All Implemented Interfaces:
  XMLInputStream, XMLInputStreamFilter

Deprecated. please use java standard StAX api

    public class XMLSubStreamBase

extends XMLInputStreamFilterBase

This implements substreams from a parent stream.

Since:
  XMLInputStream 1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`

Field Summary
`protected int` | `endTags` Deprecated.
`protected int` | `startTags` Deprecated.

Fields inherited from class weblogic.xml.stream.util.XMLInputStreamFilterBase
`filter, open, parent`

Constructor Summary
`protected` | `XMLSubStreamBase()` Deprecated.
`` | `XMLSubStreamBase(XMLInputStream parent)` Deprecated.
`` | `XMLSubStreamBase(XMLInputStream parent, ElementFilter filter)` Deprecated.

Method Summary
`XMLEvent` | `next()` Deprecated. Get the next XMLEvent on the stream

Methods inherited from class weblogic.xml.stream.util.XMLInputStreamFilterBase
`close, getParent, getReferenceResolver, getSubStream, hasNext, main, modify, peek, pushBack, setFilter, setParent, setReferenceResolver, skip, skip, skip, skip, skipElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTags

    protected int startTags

  Deprecated.

### endTags

    protected int endTags

  Deprecated.

Constructor Detail

### XMLSubStreamBase

    protected XMLSubStreamBase()

  Deprecated.

### XMLSubStreamBase

    public XMLSubStreamBase(XMLInputStream parent)
                     throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### XMLSubStreamBase

    public XMLSubStreamBase(XMLInputStream parent,
                            ElementFilter filter)
                     throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Method Detail

### next

    public XMLEvent next()
                  throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Get the next XMLEvent on the stream

  Specified by:
    `next` in interface `XMLInputStream`
  Overrides:
    `next` in class `XMLInputStreamFilterBase`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD